Jobserver Configuration
Path parameters
managedServiceIdstring · uuidRequired
Responses
200
successful operation
No content
get/spark/configuration/contextJvm/{managedServiceId}
GET /rest/spark/configuration/contextJvm/{managedServiceId} HTTP/1.1
Accept: */*
200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Body
jvmParametersstring[]Optional
Responses
200
successful operation
No content
post/spark/configuration/contextJvm/{managedServiceId}
POST /rest/spark/configuration/contextJvm/{managedServiceId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 26
{
"jvmParameters": [
"text"
]
}200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Body
stringOptional
Responses
200
successful operation
No content
post/spark/configuration/contextJvm/{managedServiceId}/json
POST /rest/spark/configuration/contextJvm/{managedServiceId}/json HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Responses
200
successful operation
No content
post/spark/configuration/contextJvm/{managedServiceId}/restoreDefaults
POST /rest/spark/configuration/contextJvm/{managedServiceId}/restoreDefaults HTTP/1.1
Accept: */*
200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Responses
200
successful operation
No content
get/spark/configuration/jvm/{managedServiceId}
GET /rest/spark/configuration/jvm/{managedServiceId} HTTP/1.1
Accept: */*
200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Body
jvmParametersstring[]Optional
Responses
200
successful operation
No content
post/spark/configuration/jvm/{managedServiceId}
POST /rest/spark/configuration/jvm/{managedServiceId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 26
{
"jvmParameters": [
"text"
]
}200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Body
stringOptional
Responses
200
successful operation
No content
post/spark/configuration/jvm/{managedServiceId}/json
POST /rest/spark/configuration/jvm/{managedServiceId}/json HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Responses
200
successful operation
No content
post/spark/configuration/jvm/{managedServiceId}/restoreDefaults
POST /rest/spark/configuration/jvm/{managedServiceId}/restoreDefaults HTTP/1.1
Accept: */*
200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Body
jobserverMemorystringRequired
jobserverMonitoringPortinteger · int32 · max: 65535Required
portinteger · int32 · max: 65535Required
sparkMemorystringRequired
sparkMonitoringPortinteger · int32 · max: 65535Required
Responses
200
successful operation
No content
post/spark/configuration/server/{managedServiceId}
POST /rest/spark/configuration/server/{managedServiceId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 241
{
"jobserverMemory": "text",
"jobserverMonitoringPort": 1,
"jobserverSecurityConfiguration": {
"authentication": "NONE",
"certificateChain": "text",
"privateKey": "text",
"trustedCertificate": "text"
},
"port": 1,
"sparkMemory": "text",
"sparkMonitoringPort": 1
}200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Body
stringOptional
Responses
200
successful operation
No content
post/spark/configuration/server/{managedServiceId}/json
POST /rest/spark/configuration/server/{managedServiceId}/json HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"200
successful operation
No content
Path parameters
managedServiceIdstring · uuidRequired
Responses
200
successful operation
No content
post/spark/configuration/server/{managedServiceId}/restoreDefaults
POST /rest/spark/configuration/server/{managedServiceId}/restoreDefaults HTTP/1.1
Accept: */*
200
successful operation
No content
Last updated
Was this helpful?